bristol (0.60.11-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096395)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Sep 2025 18:45:35 +0300

bristol (0.60.11-5) unstable; urgency=medium

  * Team upload

  [ Miriam España Acebal ]
  * d/p/implicit-function-declaration.patch: Upstream's fix for
    avoiding implicit ints and implicit function declarations,
    to prevent build failures and fixing existing FTBFS on armfh
    (Closes: #1066243)

 -- Bastian Germann <bage@debian.org>  Fri, 12 Apr 2024 18:37:48 +0000

bristol (0.60.11-4) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 12:59:26 +0200

bristol (0.60.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Logan Rosen for FTBFS with gcc 10. (Closes: #957055)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 22:08:58 +0200

bristol (0.60.11-3) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
      - Put my name in 'Files: debian/*' entry.
  * debian/patches:
      - 03-rm_alsa-iatomic.h.patch added. (Closes: #834180)
        Thanks Adrian Bunk and James Cowgill.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 09 Sep 2016 09:04:38 -0300

bristol (0.60.11-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:25:40 +0200

bristol (0.60.11-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper requirements.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 31 Jan 2013 01:02:00 +0000

bristol (0.60.10-3) unstable; urgency=low

  * Extend 02-disable_sse.patch to disable -march=core2 -msse -msse
    -mfpmath=sse when compiling libbristol too.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 18:01:34 +0200

bristol (0.60.10-2) unstable; urgency=low

  * Disable -msse -mfpmath (Closes: #674229)

 -- Alessio Treglia <alessio@debian.org>  Fri, 15 Jun 2012 09:58:07 +0200

bristol (0.60.10-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refresh 01-export_statements.patch.
  * Use dh-autoreconf.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 May 2012 11:14:17 +0200

bristol (0.60.9-1) unstable; urgency=low

  * New upstream bugfix release.
  * Depends on libjack-dev only.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Nov 2011 06:15:01 +0100

bristol (0.60.8-3) unstable; urgency=low

  * debian/rules:
    - Enable parallel builds.
    - Get rid of unneeded *.la files (Closes: #621266).
  * debian/control:
    - Suggests jackd.
    - Bump Standards.
  * Rewrite debian/copyright as per DEP-5 rev.174.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 May 2011 00:46:41 +0200

bristol (0.60.8-2) unstable; urgency=low

  * Upload to unstable.
  * Relax JACK's build-deps to let this build in sid.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Feb 2011 02:54:23 +0100

bristol (0.60.8-1) experimental; urgency=low

  * Update debian/gbp.conf.
  * Imported Upstream version 0.60.8
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 Dec 2010 01:24:09 +0100

bristol (0.60.7-3) experimental; urgency=low

  * Don't force jackd2, jackd1 >= 1:0.118+svn4089-1~ is enough to
    provide jack-session support.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Dec 2010 12:25:12 +0100

bristol (0.60.7-2) experimental; urgency=low

  * First build with JACK session support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 23 Nov 2010 01:11:54 +0100

bristol (0.60.7-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-export_statements:
    - Remove all unnecessary 'export' statements.
  * Drop 90-CVE_insecure_library_loading.patch patch, applied upstream.
  * Add NEWS.Debian to notify users about the default size of the voice
    table and document how to increase the VOICECOUNT limit at runtime.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Oct 2010 09:01:20 +0200

bristol (0.60.6-2) experimental; urgency=low

  * Add patch to prevent insecure library loading;
    Closes: #598285, CVE-2010-3351
  * Add local-options file.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Sep 2010 12:03:25 +0200

bristol (0.60.6-1) experimental; urgency=low

  * New upstream release.
  * Remove DMUA field.
  * Add debian/gbp.conf.
  * Switch to 3.0 (quilt) format.
  * Add .gitignore file.
  * Remove empty debian/patches dir.
  * Update Standards-Version to 3.9.1.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Aug 2010 16:20:36 +0200

bristol (0.60.5-1) unstable; urgency=low

  * Change my email address.
  * Imported Upstream version 0.60.5
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Jun 2010 09:39:39 +0200

bristol (0.60.4-1) unstable; urgency=low

  * New upstream release.
  * Add autotools-dev debhelper addon support.
  * debian/rules: Remove old lines used to update config.{guess,sub}
    files.
  * debian/patches/01-destdir.patch: Removed, applied upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 29 May 2010 09:34:47 +0200

bristol (0.60.3-1) unstable; urgency=low

  * New upstream release, Closes: #580728 too.
  * Remove 01-spelling_errors.patch, applied upstream.
  * debian/patches/01-destdir.patch:
    - Compress manpages before installing them.
    - Fix installation path of manpages.
  * Remove bristol.1 manpage, now provided by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 16 May 2010 20:19:42 +0200

bristol (0.60.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/patches/01-spelling_errors.patch, all other patches
    have been applied upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 04 May 2010 09:57:47 +0200

bristol (0.60.0-4) unstable; urgency=low

  * Switch back to deb format 1.0, bug#578693 has been fixed.
  * Refresh and improvements, another attempt to fix FTBFS on
    hppa,sparc,s390.
  * Drop debian/patches/02-implicit_pointer_conversion.patch patch,
    applied upstream.
  * Patch to fix FTBFS on hurd-i386.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 23 Apr 2010 09:49:32 +0200

bristol (0.60.0-3) unstable; urgency=low

  * debian/patches/04-fix_alsa_presence_check.patch:
    - Attempt to fix FTBFS on hppa, sparc and s390 architectures.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 22 Apr 2010 17:11:56 +0200

bristol (0.60.0-2) unstable; urgency=low

  * Add patch to fix FTBFS on kfreebsd architectures (Closes: #578443).
  * Temporary switch to debian 3.0 (quilt) format to workaround bug#578693.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 22 Apr 2010 00:52:06 +0200

bristol (0.60.0-1) unstable; urgency=low

  * New upstream release uploaded to unstable.
  * Add autotools support.
  * Refresh debian/patches/01-spelling_errors.patch patch.
  * debian/rules: Set JACK as default AUDIO and MIDI driver.
  * debian/patches/02-implicit_pointer_conversion.patch:
    - Forwarded to upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 20 Apr 2010 20:53:20 +0200

bristol (0.50.6-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards.
  * Remove ALSA support for non-linux archs, should fix FTBFS.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 17:04:08 +0200

bristol (0.50.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 01 Mar 2010 01:08:40 +0100

bristol (0.50.1-1) UNRELEASED; urgency=low

  * New upstream development release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 26 Jan 2010 09:27:32 +0100

bristol (0.40.8-2) unstable; urgency=low

  * Disable alsa on hurd,kfreebsd architectures.
  * Adjust debhelper,quilt build-dependencies to ease backporters' life.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 19 Apr 2010 07:56:44 +0200

bristol (0.40.8-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 24 Jan 2010 19:58:06 +0100

bristol (0.40.7-2) unstable; urgency=low

  * debian/patches/02-implicit_pointer_conversion.patch: Function
    'bristolmalloc' implicitly converted to pointer, this was due to
    a missing function prototype (Closes: #563435).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 04 Jan 2010 00:48:16 +0100

bristol (0.40.7-1) unstable; urgency=low

  * New upstream release.
  * Fix a little spelling error in the packages' description
    (Closes: #528546); thanks to Junichi Uekawa for reporting this.
  * Add Vcs-* tags.
  * Set DM-Upload-Allowed to yes.
  * Add Free Ekanayaka to Uploaders field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 27 Dec 2009 15:53:55 +0100

bristol (0.40.6-1) unstable; urgency=low

  * Adopting this (Closes: #546954).
  * Create new bristol-data runtime package, it will contain application's
    architecture-indipendent data files.
  * Drop all patches, now useless.
  * Switch to debhelper 7.
  * debian/copyright: Update according to DEP-5 spec.
  * debian/bristol.1: Fix little spelling mistake.
  * Replace patch system, from dpatch to quilt.
  * Add 01-spelling_errors.patch patch to fix spelling-error-in-binary.
  * debian/rules: dh_makeshlibs doesn't touch shlibs/symbols file, libraries
    under /usr/lib/bristol/ are private.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 10 Nov 2009 12:21:04 +0100

bristol (0.40.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
    + With permission from maintainer.
  * New upstream release. (Closes: #470336, #366833).
    + Builds with newer alsa libs. (Closes: #506768).
    + Builds on amd64. (Closes: #527716).
  * Replace x-dev build-dep with x11proto-core-dev. (Closes: #515358).
  * Install menu file. (Closes: #299414).
  * Update watch file.
  * Add Homepage.
    + Remove old bad URL from package description.
  * Add appropriate Copyright holder to debian/copyright.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 05 May 2009 21:42:17 -0400

bristol (0.9.1-13) unstable; urgency=low

  * Fixed X11 library dependencies (closes: #346627)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon,  9 Jan 2006 14:28:36 +0100

bristol (0.9.1-12) unstable; urgency=low

  * Fixed compile problems with gcc4 (closes: #285546), thanks go to Andreas
    Jochens
  * Updated policy version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 16 Aug 2005 10:10:08 +0200

bristol (0.9.1-11) unstable; urgency=medium

  * Fixed gcc-3.4 compilation
  * removed dynamic libraries, bristolenine and bristol are linked
    dynamically now (closes: #265621) (closes: #265052)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 16 Aug 2004 17:25:51 +0200

bristol (0.9.1-10) unstable; urgency=low

  * added set -e to build script
  * copy built libraries to lib directory

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 11 Aug 2004 21:03:23 +0200

bristol (0.9.1-9) unstable; urgency=low

  * Moved to patch system
  * Added watch file
  * Added homepage to description and fixed spelling mistakes
  * Updated the README.Debian file

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 26 Jul 2004 15:15:19 +0200

bristol (0.9.1-8) unstable; urgency=low

  * startBristol (bristol) tries to connect to the ALSA MIDI sequencer
    by default
  * Fixed wrong upstream URL (closes: 248077)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 26 Jul 2004 13:50:44 +0200

bristol (0.9.1-7) unstable; urgency=low

  * fixed setting saving in homedir

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 29 Feb 2004 18:29:56 +0100

bristol (0.9.1-6) unstable; urgency=low

  * added check for SND_LIB_MAJOR == 1 for new ALSA version (closes: #235024)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 27 Feb 2004 11:16:07 +0100

bristol (0.9.1-5) unstable; urgency=low

  * enable start of bristol with bristol command (closes: #203174)
  * added upstream info (closes: #199966)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 13 Aug 2003 11:46:12 +0200

bristol (0.9.1-4) unstable; urgency=low

  * fixed exit() without parameter in brightonMini.c

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 09 Jul 2003 16:22:21 +0200

bristol (0.9.1-3) unstable; urgency=low

  * changed format of help text to make it compile with all compilers

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon,  7 Jul 2003 19:31:01 +0200

bristol (0.9.1-2) unstable; urgency=low

  * added libmidibristol.so (closes: #199391)
  * fixed path to bristolengine

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue,  1 Jul 2003 01:07:33 +0200

bristol (0.9.1-1) unstable; urgency=low

  * Initial Release.

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  6 Jun 2003 15:06:59 +0200

